Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.transformer
Class XTTransformer

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.transformer.XTTransformer

All Implemented Interfaces:
  Actor, Status, Transformer

public class XTTransformer
extends AbstractActor
implements Transformer, Status

This class implements the processor interface for the James Clark's XT XSLT processor using it's DOM API.

Author:
  Zvi Avraham

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`XTTransformer()`

Method Summary
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`org.w3c.dom.Document` | `transform(org.w3c.dom.Document document, java.lang.String documentBase, org.w3c.dom.Document sheet, java.lang.String sheetBase, org.w3c.dom.Document result, java.util.Dictionary params)` Process the DOM tree with the given transformation sheet and uses the result tree to return.

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Constructor Detail

### XTTransformer

    public XTTransformer()

Method Detail

### transform

    public org.w3c.dom.Document transform(org.w3c.dom.Document document,
                                          java.lang.String documentBase,
                                          org.w3c.dom.Document sheet,
                                          java.lang.String sheetBase,
                                          org.w3c.dom.Document result,
                                          java.util.Dictionary params)
                                   throws java.lang.Exception

  Description copied from interface: `Transformer`
  Process the DOM tree with the given transformation sheet and uses the result tree to return.
  Specified by:
    `transform` in interface `Transformer`

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.